# action

abstract fun <T> action(buildAction: BuildAction<T>): BuildActionExecuter<T>

Creates an executer which can be used to run the given action when the build has finished. The action is serialized into the build process and executed, then its result is serialized back to the caller.

Requires Gradle 1.8 or later.

#### Return

The builder.

#### Since

1.8

#### Parameters

buildAction

The action to run.

<T>

The result type.

#### See also

action()

if you want to hook into different points of the build lifecycle.

abstract fun action(): BuildActionExecuter.Builder

Creates a builder for an executer which can be used to run actions in different phases of the build. The actions are serialized into the build process and executed, then its result is serialized back to the caller.

Requires Gradle 4.8 or later.

#### Return

The builder.

#### Since

4.8